var gMemotooFirefox = null;
var gDossierId = "";

function loadSettings()
{
  document.getElementById("login").value = gMemotooFirefox.settings.prefLogin;
  document.getElementById("password").value = gMemotooFirefox.settings.prefPassword;
  document.getElementById("ssl").checked = gMemotooFirefox.settings.prefSSL;
  initDossier(gMemotooFirefox.settings.prefDossier);
}

function saveSettings()
{
  gMemotooFirefox.settings.prefLogin = document.getElementById("login").value;
  gMemotooFirefox.settings.prefPassword = hex_md5(document.getElementById("password").value);
  gMemotooFirefox.settings.prefSSL = document.getElementById("ssl").checked;
  gMemotooFirefox.settings.prefDossier = gDossierId;
  gMemotooFirefox.settings.prefIsUploader = false;
  gMemotooFirefox.settings.prefIsDownloader = false;
}

function onLoad() 
{
  gMemotooFirefox = new MemotooFirefox();
  loadSettings();
}

function onSave() 
{
  saveSettings();
}

// Initialized the bookmark folder based on a given RDF URI.
function initDossier(uri) 
{
  var res = RDF.GetResource(uri);

  if (! BMSVC.isBookmarkedResource(res)) {
    res = RDF.GetResource("NC:BookmarksRoot");
  }
  
  if (versionFirefox()>="1.5")
	{
  	var nameArc = RDF.GetResource(gNC_NS + "Name");
	}
	else
	{
  	var nameArc = RDF.GetResource(NC_NS + "Name");
	}
  
  var target = BMDS.GetTarget(res, nameArc, true);
  var name = (target) ? target.QueryInterface(Components.interfaces.nsIRDFLiteral).Value : "";

  gDossierId = res.Value;
  document.getElementById("dossier").value = name;
}

function browse()
{
  winopen("chrome://memotoofirefox/content/browse.xul",250,360,1);
}

function download()
{
  saveSettings();
  
  var result = gMemotooFirefox.downloadBookmarksHTML(false);  
}

function upload()
{
  saveSettings();
  
  var result = gMemotooFirefox.uploadBookmarksHTML(false);  
}